<!--=================================
 header -->
<header id="header" class="header default" style="position: fixed;">
<!--=================================
 mega menu -->
<div class="menu">
  <!-- menu start -->
   <nav id="menu" class="mega-menu">
    <!-- menu list items container -->
    <section class="menu-list-items" style="background-color:#000000ba;height: 65px;position: relative;">
     <div class="container" >
      <div class="row">
       <div class="col-lg-12 col-md-12">
        <!-- menu logo -->
        <ul class="menu-logo" style="display: flex;align-items: center;">
            <li>
              <a [routerLink]="['/Catalogo',this.tag]"><img id="logo_img" src="assets/0001.png" alt="logo"> </a>
            </li>
            <li id="orv">
              <span id="titleCenter" style="color:white; font-weight: 300;font-size: 20px;margin-left:15px;">CATÁLOGO</span>
            </li>
        </ul>
        <!-- menu links -->
        <div class="menu-bar">
        <div class="search-cart">
          <div class="shpping-cart">
           <a (click)="cartbox()" class="cart-btn"> <i class="fa fa-shopping-cart icon"></i> <strong class="item">{{this.contador}}</strong></a>
            <div id="cartt" class="cart">
              <div class="cart-title">
                 <h6 class="uppercase mb-0">Carro de compras</h6>
                 <!-- <h6  *ngIf="cart == []" class="uppercase mb-0">Tu carrito esta vacio</h6> -->
              </div>
              <div class="cart-item" *ngFor="let item of cart; let i=index">
                <div class="cart-image">
                  <img *ngIf="item.imageProduct !== ''" class="img-fluid mr-3" src="{{item.imageProduct}}" alt="">
                  <img *ngIf="item.imageProduct === ''" class="img-fluid mr-3" src="https://orvity.com/orv/php/item.png"/>
                </div>
                <div class="cart-name clearfix">
                  <a style="text-align: left!important;">{{ item.title }}</a>
                  <div class="cart-price" style="text-align: left!important;">
                    <ins style="text-align: left!important;">${{item.price}}</ins>
                    <span>&nbsp;&nbsp;({{item.cantidad}})</span>
                 </div>
                </div>
                <div class="cart-close">
                    <a (click)="confirmaEliminar(i)"> <i style="position:absolute;bottom:-4px;right:-10px;" class="fa fa-times-circle borarr"></i> </a>
                 </div>
              </div>
              <div class="cart-total">
                <h6 class="mb-15"> Total: ${{ total2 }}</h6>
                <button class="button" [disabled]="this.premium=='0'" [routerLink]="['/carrito']">Ver Carrito</button>
                <!-- <a class="button black">Enviar</a> -->
              </div>
            </div>
          </div>
        </div>
        </div>
       </div>
      </div>
     </div>
    </section>
   </nav>
  <!-- menu end -->
 </div>
</header>
<!--=================================
 header -->

<!--=================================
page-title-->
<section class="page-title bg-overlay-black-60" style="background-image: url({{this.imgPortada}});background-size: cover;background-repeat: no-repeat;background-position: bottom;">
  <div class="container">
    <div class="row">

     </div>
  </div>
</section>
<!--=================================
page-title -->
<!--=================================
shop -->
  <section class="shop grid page-section-ptb">
        <div class="container">
            <div *ngIf="this.premium=='1'" class="row text-center d-flex justify-content-center">
              <img src="{{this.img}}"
              class="img"/>
              <img src="assets/planet-sharp.svg" class="img2"/>
            </div>
            <div *ngIf="this.premium=='0'" class="row text-center d-flex justify-content-center">
              <img src="{{this.img}}" class="img" style="border:none!important;"/>
            </div>
            <div class="row mt-catalogo">
                <div class="col-lg-12 col-md-12 text-center py-3">
                  <h1 style="font-weight:400;color: #c67230;font-size: 30px;">
                    {{nombreEmpresa}}
                  </h1>
                </div>
                <div *ngIf="this.premium=='1'" id="container-main" class="px-3">

                  <div class="accordion-container">
                      <a id="TodosFijo" class="accordion-titulo shadow open">Todos<span class="toggle-icon" (click)="openCatego2()" ></span></a>
                      <div id="fijo" class="openn accordion-content col-lg-12 col-md-12 pb-3 list-catalogo">
                          <div class="row" style="max-width: 100%;margin-left: 0px;margin-right: 0px;">
                            <ng-container *ngFor="let product of productos">
                              <div id="item-catalogo" class="col-lg-4 col-md-4 col-sm-4 col-xs-4 justify-content-center">
                              <div class="product mb-40 justify-content-center">
                                  <div class="product-image mx-auto">
                                      <img *ngIf="product.imageProduct !== ''" style="object-fit:contain!important;" class="img-fluid img-prod mx-auto" src="{{product.imageProduct}}" alt="">
                                       <img *ngIf="product.imageProduct === ''" style="object-fit:contain!important;" class="img-fluid img-prod mx-auto" src="https://orvity.com/orv/php/item.png"/>
                                      <div class="product-overlay">
                                        <div class="add-to-cart">
                                            <a data-toggle="modal" data-target="#exampleModal" (click)="modal(product.id)">AGREGAR AL CARRITO</a>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="product-des">
                                      <div class="product-title">
                                        <a id="item-titulo" data-toggle="modal" data-target="#exampleModal" (click)="modal(product.id)">{{product.title}}</a>
                                      </div>

                                    <div class="product-price" style="text-align: center;">
                                          <ins style="color: #c67230;" id="item-titulo">${{product.price}}</ins>
                                      </div>
                                  </div>
                              </div>
                            </div>
                            </ng-container>
                          </div>
                      </div>
                  </div>

                  <div class="accordion-container" *ngFor="let categoria of categorias | async;let i=index">
                      <a id="titulo{{i}}" class="accordion-titulo open">{{categoria.categoryName}}<span class="toggle-icon" (click)="openCatego(i)"></span></a>
                      <div id="{{i}}" class="openn accordion-content col-lg-12 col-md-12 pt-3 list-catalogo">
                          <div class="row" style="max-width: 100%;margin-left: 0px;margin-right: 0px;">
                            <ng-container *ngFor="let product of productos">
                              <div *ngIf="categoria.categoryName==product.category" id="item-catalogo" class="col-lg-4 col-md-4 col-sm-4 col-xs-4 justify-content-center">
                                <div class="product mb-40 justify-content-center">
                                    <div class="product-image mx-auto">
                                        <img *ngIf="product.imageProduct !== ''" style="object-fit:contain!important;" class="img-fluid img-prod mx-auto" src="{{product.imageProduct}}" alt="">
                                        <img *ngIf="product.imageProduct === ''" style="object-fit:contain!important;" class="img-fluid img-prod mx-auto" src="https://orvity.com/orv/php/item.png"/>
                                        <div class="product-overlay">
                                          <div class="add-to-cart">
                                              <a data-toggle="modal" data-target="#exampleModal" (click)="modal(product.id)">AGREGAR AL CARRITO</a>
                                          </div>
                                        </div>
                                      </div>
                                      <div class="product-des">
                                        <div class="product-title">
                                          <a id="item-titulo" data-toggle="modal" data-target="#exampleModal" (click)="modal(product.id)">{{product.title}}</a>
                                        </div>

                                      <div class="product-price" style="text-align: center;">
                                            <ins style="color: #c67230;" id="item-titulo">${{product.price}}</ins>
                                        </div>
                                    </div>
                                </div>
                              </div>
                            </ng-container>
                          </div>
                      </div>
                  </div>

                </div>
                <div *ngIf="this.premium=='0'" id="container-main" class="px-3">
                  <h1>Para mostrar el catálogo de productos, este usuario debe ser premium</h1>
                </div>
            </div>
        </div>
    </section>
<!--=================================
shop -->

<app-footer></app-footer>

<!-- MODAL VER PRODUCTO -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content" style="border-radius: 25px;">
        <button hidden #closeModal type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <div class="modal-body text-center">
          <section class="shop-single page-section-ptb">
              <div class="container">
                <div class="row">
                  <div class="col-lg-12">
                  <div class="row" *ngFor="let product of producto">
                    <div class="col-lg-12 text-center">
                      <h2>{{product.title}}</h2>
                      <div class="slider-slick">
                        <div class="slider slider-for detail-big-car-gallery">
                              <img *ngIf="product.imageProduct !== ''" class="img-fluid" style="width: 70%;" src="{{product.imageProduct}}" alt="">
                              <img *ngIf="product.imageProduct === ''" class="img-fluid" style="width: 70%;" src="https://orvity.com/orv/php/item.png"/>
                          </div>
                      </div>
                    </div>
                    <div class="col-lg-12">
                      <div class="product-detail clearfix">
                        <div class="product-detail-title mb-20 sm-mt-40">
                            <h4 class="mb-10" style="font-weight: bold;"> Descripción:</h4>
                            <span>{{product.description}}</span>
                        </div>
                        <div class="clearfix mb-30">
                          <div class="product-detail-price"><ins>${{product.price}}</ins></div>
                      </div>
                        <div class="product-detail-quantity clearfix mb-40 d-flex align-items-center justify-content-center">
                          <input placeholder="#" name="cantidad" id="cantidad" [(ngModel)]="cantidad" (ngModelChange)="cantidadProduct($event)"/>
                            <div class="ml-3 product-detail add-to-cart">
                                <a class="button small" style="color: white;" (click)="addtoCart2(product.id)">
                                  Agregar
                                </a>
                            </div>
                          </div>
                    </div>
                  </div>
                </div>
                </div>
                </div>
              </div>
          </section>
        </div>
      </div>
    </div>
</div>